Bug 597700 - Review Request: accessx - Open source utility to set and display all of the XKEYBOARD
Review Request: accessx - Open source utility to set and display all of the X...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2010-05-30 03:16 EDT by kushaldas@gmail.com
Modified: 2013-02-19 05:49 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-19 05:49:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kushaldas@gmail.com 2010-05-30 03:16:42 EDT
Spec URL: http://people.sugarlabs.org/kushal/accessx.spec
SRPM URL: http://people.sugarlabs.org/kushal/accessx-0.951-1.fc13.src.rpm
Description: An open source utility to set and display all of the XKEYBOARD 
(XKB) AccessX features. It is designed to mimic the interface 
provided by the Sun and DEC "accessx" tool.
Comment 1 kushaldas@gmail.com 2010-05-30 03:18:40 EDT
No rpmlint errors, koji build successful.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2217746
Comment 3 Jérôme Fenal 2010-07-14 13:32:09 EDT
Here is my first unofficial review (not blessed as a Packager yet):

First, rpmlint on F-13:
$ rpmlint /home/jfenal/rpm/SRPMS/accessx-0.951-2.fc13.src.rpm
accessx.src: W: no-buildroot-tag
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


$ rpmlint /home/jfenal/rpm/RPMS/x86_64/accessx-0.951-2.fc13.x86_64.rpm
accessx.x86_64: W: unstripped-binary-or-object /usr/bin/ax
accessx.x86_64: W: no-manual-page-for-binary ax
accessx.x86_64: W: no-manual-page-for-binary accessx
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


 +:ok, =:needs attention, -:needs fixing

MUST Items:
[-] MUST: rpmlint must be run on every package.
<<output if not already posted>>
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[=] MUST: The License field in the package spec file must match the actual license.
          GPL is mentioned in the README, GPL v2 included in the package (but left out), but not clear if it's GPL v2 or GPL v2+ ?
          
[-] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.

[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
e61286559b65e452705a6329646776f1
[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
[+] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires
[=] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro.
Not sure about this one
[+] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is described in detail in the code vs. content section of Packaging Guidelines.
[+] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[+] MUST: Static libraries must be in a -static package.
[+] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[+] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[-] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[-] SHOULD: The reviewer should test that the package builds in mock.
[] SHOULD: The package should compile and build into binary rpms on all supported architectures.
Tested only on F-13 x86_64.
[] SHOULD: The reviewer should test that the package functions as described.
Tk-based accessx gui seems to work right.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[+] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[+] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[+] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: Packages should try to preserve timestamps of original installed files.
Comment 4 Remi Collet 2010-07-26 02:54:09 EDT
%{optflags} not used during build. This explain the debuginfo-without-sources rpmlint warning.

A simple sed could do it:
sed -i -e '/^OPTS=/s/OPTS=.*$/OPTS=%{optflags}/' Makefile
Comment 5 Miroslav Suchý 2012-12-11 18:08:24 EST
Ping? Any progress here? Or we can close this review?
Comment 6 Miroslav Suchý 2013-02-19 05:49:46 EST
Stalled Review. Closing per:
https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
If you ever want to continue with this review, please reopen or
submit new review.

Note You need to log in before you can comment on or make changes to this bug.